Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl

# Enum Class DatabaseParameterBufferImp.DpbMetaData

java.lang.Object
java.lang.Enum<DatabaseParameterBufferImp.DpbMetaData>
org.firebirdsql.gds.impl.DatabaseParameterBufferImp.DpbMetaData

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabaseParameterBufferImp.DpbMetaData>`, `Constable`, `ParameterBufferMetaData`

Enclosing class:
  DatabaseParameterBufferImp

public static enum DatabaseParameterBufferImp.DpbMetaData extends Enum<DatabaseParameterBufferImp.DpbMetaData> implements ParameterBufferMetaData

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DPB_VERSION_1`
`DPB_VERSION_2`

## Method Summary

Modifier and Type
Method
Description
`final ArgumentType`
`getByteArrayArgumentType(int tag)`
Gets the byte array argument type for the supplied tag.
`final ArgumentType`
`getIntegerArgumentType(int tag)`
Gets the integer argument type for the supplied tag.
`final ArgumentType`
`getSingleArgumentType(int tag)`
Gets the single argument type for the supplied tag.
`final ArgumentType`
`getStringArgumentType(int tag)`
Gets the string argument type for the supplied tag.
`final int`
`getType()`
Parameter buffer type (this usually is the version of the parameter buffer).
`static DatabaseParameterBufferImp.DpbMetaData`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DatabaseParameterBufferImp.DpbMetaData[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.impl.ParameterBufferMetaData

`addPreamble, getByteArgumentType`

## Enum Constant Details

### DPB_VERSION_1

public static final DatabaseParameterBufferImp.DpbMetaData DPB_VERSION_1

### DPB_VERSION_2

public static final DatabaseParameterBufferImp.DpbMetaData DPB_VERSION_2

## Method Details

### values

public static DatabaseParameterBufferImp.DpbMetaData[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DatabaseParameterBufferImp.DpbMetaData valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public final int getType()
Description copied from interface: `ParameterBufferMetaData`
Parameter buffer type (this usually is the version of the parameter buffer).

Specified by:
  `getType` in interface `ParameterBufferMetaData`
Returns:
  Buffer type (for example `ISCConstants.isc_spb_version3`).

### getStringArgumentType

public final ArgumentType getStringArgumentType(int tag)
Description copied from interface: `ParameterBufferMetaData`
Gets the string argument type for the supplied tag.

When the tag is not known (or unsupported for string arguments), then the default should be returned.

Specified by:
  `getStringArgumentType` in interface `ParameterBufferMetaData`
Parameters:
  `tag` - Tag (item type)
Returns:
  Argument type (never `null`)

### getByteArrayArgumentType

public final ArgumentType getByteArrayArgumentType(int tag)
Description copied from interface: `ParameterBufferMetaData`
Gets the byte array argument type for the supplied tag.

When the tag is not known (or unsupported for string arguments), then the default should be returned.

Specified by:
  `getByteArrayArgumentType` in interface `ParameterBufferMetaData`
Parameters:
  `tag` - Tag (item type)
Returns:
  Argument type (never `null`)

### getIntegerArgumentType

public final ArgumentType getIntegerArgumentType(int tag)
Description copied from interface: `ParameterBufferMetaData`
Gets the integer argument type for the supplied tag.

When the tag is not known (or unsupported for string arguments), then the default should be returned.

Specified by:
  `getIntegerArgumentType` in interface `ParameterBufferMetaData`
Parameters:
  `tag` - Tag (item type)
Returns:
  Argument type (never `null`)

### getSingleArgumentType

public final ArgumentType getSingleArgumentType(int tag)
Description copied from interface: `ParameterBufferMetaData`
Gets the single argument type for the supplied tag.

When the tag is not known (or unsupported for string arguments), then the default should be returned.

Specified by:
  `getSingleArgumentType` in interface `ParameterBufferMetaData`
Parameters:
  `tag` - Tag (item type)
Returns:
  Argument type (never `null`)